<?php

Yii::import('dash.models.DashBlock');

/**
 * Dash Menu Widget class file.
 */

class DashMenuWidget extends CWidget
{
  public $menuItems = array();
  public $menuActions = array();

	/**
	 * Initializes the widget.
	 */
	public function init()
	{
    $assets = Yii::app()->assetManager->publish(dirname(__FILE__) . DIRECTORY_SEPARATOR . '../assets');
    $cs = Yii::app()->clientScript;
    $cs->registerCssFile($assets .'/css/dropdown.css');
    $cs->registerScriptFile($assets .'/js/dashmenu.js', CClientScript::POS_END);

    $models = DashBlock::model()->published()->ordered()->findAll();
    for ($i = 0; $i < sizeof($models); $i++) {
      $items = $models[$i]->actionsAsItems();
      if (!empty($items)) {
        $this->menuItems[] = array('label'=>$models[$i]->title, 'items'=>$items);
      }
    }

    $this->menuActions = array(
      array('label'=>'Dashboard', 'url'=>array('/dash')),
      array('label'=>'Operations', 'items'=>$this->owner->menu),
      array('label'=>'Logout ('. Yii::app()->user->name .')', 'url'=>array('/site/logout')),
    );

    parent::init();
	}

	/**
	 * Runs the widget.
	 */
	public function run()
	{
    $this->render('dashmenu', array(
      'menuItems' => $this->menuItems,
      'menuActions' => $this->menuActions,
    ));
	}

}
